Distribution:   CCux
Packager:	Christian Wasem <christian.wasem@ccux.de>

Summary:	The JasPer project is an open-source initiative to provide a JPEG-2000/JPEG2000 implementation
Name:		jasper
Version:	1.900.1
Release:	2
License:	JasPer 
URL:		http://www.ece.uvic.ca/~mdadams/jasper
Group:		System/Libraries
Source0:	%{name}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	unzip

#Automatically resolved build dependencies
BuildRequires: freeglut-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx


%description
The JasPer project is an open-source initiative to provide a
free software-based reference implementation of the codec
specified in the JPEG-2000/JPEG2000 Part-1 standard (i.e. ISO/IEC 15444-1).

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir \
--enable-libjpeg \
--enable-opengl \
--enable-shared
make 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/libjasper*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/libjasper.a
%_libdir/libjasper.la
%_libdir/libjasper.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.900.1-2
- rebuilt against libjpeg 7
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.900.1-1
- Version update
* Sat Jan 07 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.701.0-2
- Build SRPM
* Sat Jun 05 2004 Christian Wasem <christian.wasem@ccux.de> 1.701.0-1
- Initial Release
